Error by install MMM-Swipe



  • Hello im new in this forum. My name is Axel and im from Germany so my english ist not the yellow from the egg :-) i hope u can understand me. first of all, a really great thanks for the boys who create the magic mirror, its really unbelievable, respect!!!

    i installed already the magic mirror 2 and same modules witch work really nice and everything is good but today i tried to install the model Swipe and i get a error, this one:

    pi@Magic-Mirror:~/MagicMirror/modules/MMM-Swipe $ npm install
    
    > MMM-Swipe@1.1.1 postinstall /home/pi/MagicMirror/modules/MMM-Swipe
    > electron-rebuild -e ../../node_modules/electron-prebuilt
    
    An unhandled error occurred inside electron-rebuild
    Unable to find electron-prebuilt's version number, either install it or specify an explicit version
    
    Error: Unable to find electron-prebuilt's version number, either install it or specify an explicit version
        at _callee$ (/home/pi/MagicMirror/modules/MMM-Swipe/node_modules/electron-rebuild/lib/cli.js:74:17)
        at tryCatch (/home/pi/MagicMirror/modules/MMM-Swipe/node_modules/babel-runtime/node_modules/regenerator-runtime/runtime.js:63:40)
        at GeneratorFunctionPrototype.invoke [as _invoke] (/home/pi/MagicMirror/modules/MMM-Swipe/node_modules/babel-runtime/node_modules/regenerator-runtime/runtime.js:337:22)
        at GeneratorFunctionPrototype.prototype.(anonymous function) [as next] (/home/pi/MagicMirror/modules/MMM-Swipe/node_modules/babel-runtime/node_modules/regenerator-runtime/runtime.js:96:21)
        at GeneratorFunctionPrototype.tryCatcher (/home/pi/MagicMirror/modules/MMM-Swipe/node_modules/bluebird/js/release/util.js:16:23)
        at PromiseSpawn._promiseFulfilled (/home/pi/MagicMirror/modules/MMM-Swipe/node_modules/bluebird/js/release/generators.js:97:49)
        at /home/pi/MagicMirror/modules/MMM-Swipe/node_modules/bluebird/js/release/generators.js:201:15
        at Object. (/home/pi/MagicMirror/modules/MMM-Swipe/node_modules/electron-rebuild/lib/cli.js:197:4)
        at Module._compile (module.js:570:32)
        at Object.Module._extensions..js (module.js:579:10)
        at Module.load (module.js:487:32)
        at tryModuleLoad (module.js:446:12)
        at Function.Module._load (module.js:438:3)
        at Module.runMain (module.js:604:10)
        at run (bootstrap_node.js:394:7)
        at startup (bootstrap_node.js:149:9)
    
    npm ERR! Linux 4.4.38-v7+
    npm ERR! argv "/usr/bin/nodejs" "/usr/bin/npm" "install"
    npm ERR! node v6.10.0
    npm ERR! npm  v3.10.10
    npm ERR! code ELIFECYCLE
    npm ERR! MMM-Swipe@1.1.1 postinstall: `electron-rebuild -e ../../node_modules/electron-prebuilt`
    npm ERR! Exit status 255
    npm ERR! 
    npm ERR! Failed at the MMM-Swipe@1.1.1 postinstall script 'electron-rebuild -e ../../node_modules/electron-prebuilt'.
    npm ERR! Make sure you have the latest version of node.js and npm installed.
    npm ERR! If you do, this is most likely a problem with the MMM-Swipe package,
    npm ERR! not with npm itself.
    npm ERR! Tell the author that this fails on your system:
    npm ERR!     electron-rebuild -e ../../node_modules/electron-prebuilt
    npm ERR! You can get information on how to open an issue for this project with:
    npm ERR!     npm bugs MMM-Swipe
    npm ERR! Or if that isn't available, you can get their info via:
    npm ERR!     npm owner ls MMM-Swipe
    npm ERR! There is likely additional logging output above.
    
    npm ERR! Please include the following file with any support request:
    npm ERR!     /home/pi/MagicMirror/modules/MMM-Swipe/npm-debug.log
    

    someone a idea? i hope someone can help me.

    thank u very much!!!


  • Module Developer

    @fischi87 did you read and follow the instructions correctly for MMM-swipe?

    I e did you run npm install in the MMM-swipe folder?



  • yes of course, u don’t see it in the code?


  • Module Developer

    @fischi87 to me it looks like the dependecies isn’t installed at all



  • ? and what i have to do right now?

    when i run

    sudo npm start
    

    i get back

    pi@Magic-Mirror:~/MagicMirror/modules/MMM-Swipe $ sudo npm start
    npm ERR! Linux 4.4.38-v7+
    npm ERR! argv "/usr/bin/nodejs" "/usr/bin/npm" "start"
    npm ERR! node v6.10.0
    npm ERR! npm  v3.10.10
    
    npm ERR! missing script: start
    npm ERR! 
    npm ERR! If you need help, you may report this error at:
    npm ERR!     
    
    npm ERR! Please include the following file with any support request:
    npm ERR!     /home/pi/MagicMirror/modules/MMM-Swipe/npm-debug.log
    

    what is here wrong?!


  • Module Developer

    You are in the wrong folder if you want to start the mirror with sudo npm start



  • @broberg
    i get the same in the MagicMirror folder

    pi@Magic-Mirror:~/MagicMirror $ sudo npm start
    
    > magicmirror@2.1.0 start /home/pi/MagicMirror
    > electron js/electron.js
    
    
    npm ERR! Linux 4.4.38-v7+
    npm ERR! argv "/usr/bin/nodejs" "/usr/bin/npm" "start"
    npm ERR! node v6.10.0
    npm ERR! npm  v3.10.10
    npm ERR! code ELIFECYCLE
    npm ERR! magicmirror@2.1.0 start: `electron js/electron.js`
    npm ERR! Exit status 1
    npm ERR! 
    npm ERR! Failed at the magicmirror@2.1.0 start script 'electron js/electron.js'.
    npm ERR! Make sure you have the latest version of node.js and npm installed.
    npm ERR! If you do, this is most likely a problem with the magicmirror package,
    npm ERR! not with npm itself.
    npm ERR! Tell the author that this fails on your system:
    npm ERR!     electron js/electron.js
    npm ERR! You can get information on how to open an issue for this project with:
    npm ERR!     npm bugs magicmirror
    npm ERR! Or if that isn't available, you can get their info via:
    npm ERR!     npm owner ls magicmirror
    npm ERR! There is likely additional logging output above.
    
    npm ERR! Please include the following file with any support request:
    npm ERR!     /home/pi/MagicMirror/npm-debug.log
    pi@Magic-Mirror:~/MagicMirror $ 
    
    

Log in to reply
 

Looks like your connection to MagicMirror Forum was lost, please wait while we try to reconnect.